body {
    position: relative;
    background-color: var(--background-color);
    overflow-x: hidden;
}

main {
    padding-top: 15vh;
}

header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px;
    border-top: 3px solid var(--primary-color);
    height: 15vh;
    position: fixed;
    top: 0;
    width: 100%;
    background-color: var(--background-color);
    z-index: 1000;
    box-shadow: 0px 3px 10px rgba(0, 0, 0, 0.205);
    z-index: 1000;
}

header>.container-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 20px;
}

header>.container-logo>.title {
    font-size: 4rem;
    color: var(--primary-color);
    cursor: pointer;
}

header>.container-logo>a>.logo {
    width: 100px;
    box-shadow: var(--shadow);
    border-radius: 50%;
    transition: transform .5s;
    cursor: pointer;
}

header>.container-logo>a>.logo:hover {
    transform: scale(1.1);
    box-shadow: var(--shadow);
}

header>.container-menu>.menu-hamburger {
    display: none;
    font-size: 35px;
    color: var(--primary-color);
    cursor: pointer;
}

header>.container-menu {
    width: 40%;
}

header>.container-menu>.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header>.container-menu>.navbar>a>button {
    background-color: var(--background-color);
    padding: 10px;
    border-radius: 2px;
    font-weight: bold;
    cursor: pointer;
    position: relative;
    bottom: 5px;
    margin-right: 20px;
    font-size: 17px;
    border-style: solid;
    color: var(--primary-color);
    border-color: var(--primary-color);
    transition: transform 200ms ease, color 300ms ease, background-color 650ms ease;
}

header>.container-menu>.navbar>a>button:hover {
    transform: scale(1.02);
    background-color: var(--primary-color);
    color: var(--secondary-text-color);
}

header>.container-menu>.navbar>a:hover {
    color: var(--secondary-text-color);
}

header>.container-menu>.navbar>ul {
    display: flex;
    column-gap: 40px;
    padding: 0 20px;
}

header>.container-menu>.navbar>ul>li {
    display: flex;
    align-items: center;
    flex-direction: column;
    row-gap: 5px;
}


header>.container-menu>.navbar>ul>li>.nav-link, a.select {
    color: var(--text-color);
    font-size: 1.3rem;
}

header>.container-menu>.navbar>ul>li>a.select {
    color: var(--primary-color);
}

header>.container-menu>.navbar>ul>li>.bar-link {
    display: block;
    width: 0%;
    transition: width .5s;
}

header>.container-menu>.navbar>ul>li:hover>.bar-link {
    border-bottom: 2px solid var(--text-color);
    width: 150%;
}

header>.container-menu>.navbar>ul>li:hover>.nav-link {
    color: var(--primary-color);
}

span.select {
    border-bottom: 2px solid var(--text-color);
    width: 150%;
}

@media (max-width: 1436px) {

    header>.container-logo>.title {
        font-size: 3rem;
        color: var(--primary-color);
        cursor: pointer;
    }

    header>.container-logo>a>.logo {
        width: 90px;
        box-shadow: var(--shadow);
        border-radius: 50%;
        transition: transform .5s;
        cursor: pointer;
    }

    header>.container-menu>.navbar>ul>li>.nav-link, a.select {
        font-size: 1rem;
    }
}

@media (max-width: 900px) {
    header>.container-menu {
        width: 50%;
    }
    
}

@media (max-width: 700px) {
    header>.container-logo>.title {
        font-size: 1.7rem;
    }

    header>.container-logo>a>.logo {
        width: 80px;
    }

    header>.container-menu {
        display: flex;
        justify-content: end;
    }

    header>.container-menu>.menu-hamburger {
        display: block;
        cursor: pointer;
    }

    header>.container-menu>.navbar {
        display: flex;
        flex-direction: column;
        padding: 0;
        position: absolute;
        top: 14.6vh;
        right: -400px;
        filter: blur(30px);
        border-left: 3px solid var(--primary-color);
        border-bottom: 3px solid var(--primary-color);
        background-color: var(--background-color);
        border-radius: 0 0 0 10px;
        overflow: hidden;
        transition: right 1s, filter .5s;
    }

    header>.container-menu>.navbar>ul {
        display: flex;
        flex-direction: column;
        padding: 0;
        row-gap: 10px;
    }

    header>.container-menu>.navbar>ul>li {
        width: 100%;
        display: flex;
    }

    header>.container-menu>.navbar>ul>li>a {
        width: 100%;
        padding: 10px;
        text-align: center;
        font-weight: bold;
        margin: 0 5px;
    }

    header>.container-menu>.navbar>ul>li>a.select {
        color: var(--primary-color);
    }

    span.select {
        width: 0%;
    }

    header>.container-menu>.navbar>ul>li:hover>.bar-link {
        width: 0%;
    }

    header>.container-menu>.navbar>a>button {
        margin: 0 0 -8px 0;
        background-color: var(--background-color);
    }

    header>.container-menu>.navbar>a {
        color: var(--secondary-text-color);
    }
}